天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 63|回复: 0

‎使用 ARX 删除匿名组‎

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
‎使用 ARX 删除匿名组‎


‎当最终用户在 AutoCAD 中创建"组"时,它可能是匿名组。但是,所有组(匿名或其他)都存储在命名对象字典中键"ACAD_GROUP"下。如果该组是匿名的,AutoCAD 会为其分配一个值,例如"*A1"、"*A2"等。尽管对最终用户而言它是匿名的,但该组在 AutoCAD 数据库中具有唯一的键名。‎

‎用户可以在组中添加或删除实体,以便可以有空组。下面的代码是一个删除匿名组的小型演示。‎


[code]static void removeGroup()

{



Acad::ErrorStatus es;

AcDbDictionary *pGroupDict;

AcDbGroup *pGroup;

AcDbDictionaryIterator *pDictIter;

AcDbObjectId groupId;

long numItems;

AcDbObjectIdArray groupMembers;



es =

acdbHostApplicationServices()->workingDatabase()->

   getGroupDictionary(pGroupDict,AcDb::kForWrite);

pDictIter = pGroupDict->newIterator();



for(; !pDictIter->done(); pDictIter->next())

{

    pDictIter->getObject(

        (AcDbObject*&)pGroup, AcDb::kForRead);

    // Is the group anonymous?

    if(pGroup->isAnonymous())

    {

        // Does the anonymous group have

        // any members associated with it?

        numItems = pGroup->numEntities();

        if(numItems > 0)

        {

            // Empty the group

            // Upgrade it first

            es = pGroup->upgradeOpen();

            es = pGroup->clear();

            es = pGroup->downgradeOpen();



            pGroup->close();

        }



        // Get the group ID and remove the

        // group from the dictionary

        groupId = pDictIter->objectId();

        es = pGroupDict->remove(groupId);



    } // if



    pGroup->close();



} // for



pGroupDict->close();



}[/code]

 

 

 

 

‎使用 ARX 删除匿名组‎
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 10:34 , Processed in 0.188459 second(s), 24 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表